# -*- rpm-spec -*-

%define patch_name	kernel-fix-drivers-ieee1394

Name: %patch_name
Version: 2004.12.29
Release: alt1.M30.1

Summary: %patch_name - Linux kernel IEEE1394 drivers fixes
License: GPL
Group: Development/Other
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

%source 2600	2.6_00_ohci1394-init-breakage.patch		2.6

%source 2650	2.6_50_broken-aliases.patch			2.6

BuildRequires: kernel-build-tools

%description
Linux kernel IEEE1394 drivers fixes

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Mon Oct 24 2005 Sergey Vlasov <vsu@altlinux.ru> 2004.12.29-alt1.M30.1
- Added:
  + 2.6_00_ohci1394-init-breakage.patch: ohci1394: init spinlock before
    registering IRQ handler

* Wed Dec 29 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.12.29-alt1
- Removed old patches.
- Added:
  + 2.6_50_broken-aliases.patch: remove broken MODULE_ALIAS_CHARDEV entries
    from ieee1394 modules (#3873).

* Sun Mar 21 2004 Sergey Vlasov <vsu@altlinux.ru> 2004.03.21-alt1
- Removed old patches.
- Added:
  + 00_video1394-init.patch: Init d->link list head so failures are handled
    properly
  + 01_dma-vmalloc.patch: Use vmalloc to allocate sglist array for larger cases

* Thu Nov 06 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.11.06-alt1
- Replaced 00_ieee1394-nodemgr-lock-fix.patch with 00_ieee1394-fixes.patch
  (includes the previous fix and more).

* Wed Sep 24 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.09.24-alt1
- Initial release
- 00_ieee1394-nodemgr-lock-fix.patch - fixes locking in nodemgr_host_thread

